Skip to main content
POST
This endpoint allows your platform to submit data to PayPal in advance of requesting a transaction (read guide). The DataCollectionId returned in the response must be sent on the associated pay-in call for both one-time and recurring payments: Each pay-in requires a new DataCollectionId.
Note – Data to submit depends on industryThe request body parameters described below are required for all marketplace businesses.Additional data points are required for platforms operating in the following industries:
  • Events and ticketing
  • Online travel agents:
    • Car rentals
    • Hotels
    • Transportation
    • Travel packages
  • Retail and groceries
  • Cruise lines
  • Buy online, pick up in store (BOPIS)
  • Crypto
Before integrating this endpoint, platforms operating in the verticals above need to contact Mangopay via the Dashboard.

Body parameters

string
Format: Alphanumeric; example: A12345N343Unique identifier of the sender/buyer account on the marketplace platform.
string
Format: Alphanumeric; example: JaneFirst name registered with the sender/buyer’s marketplace account.
string
Format: Alphanumeric; example: DoeLast name registered with the sender/buyer’s marketplace account.
string
Format: E.123 – Email Address; example: john@example.comEmail address registered with the sender/buyer’s marketplace account.
string
Format: E.123 - Telephone Number (national notation); example (042) 1123 4567Phone number (national notation) registered with the sender/buyer’s marketplace account.
string
Format: ISO Alpha-2 Country Code; example: FRCountry code registered with the sender/buyer’s marketplace account.
string
Format: ISO 8601 date format; example: 2012-12-09T19:14:55.277-0:00Date of creation of the sender/buyer’s account on the marketplace platform.
string
Format: IP (IPv4 / IPv6); example: 10.220.90.20IP address that the sender/buyer used to sign up on the marketplace platform.
string
Possible values: high, medium, low; example: highRisk-based scoring on the sender/buyer by the marketplace platform (e.g., social score, identity score, risk score). This score is likely unique for each platform based on marketplace platform’s risk platform capabilities.
string
Format: Alphanumeric; example: A12345N343Unique identifier of the seller/recipient’s account on the marketplace platform.
string
Format: ISO 8601 date format; example: 2012-12-09T19:14:55.277-0:00Date of creation of the seller/recipient’s account on the marketplace platform.
string
Format: E.123 – Email Address; example: john@example.comSeller/recipient’s registered email on the marketplace platform.
string
Format: ISO Alpha-2 Country Code; example: FRSeller/recipient’s country code registered on the marketplace platform.
string
Format: Alphanumeric; example: Acme Corp.Business name used by the seller/recipient to register on the marketplace platform.
string
Possible values: high, medium, low; example: highRisk-based scoring on the seller/recipient by the marketplace platform (e.g., social score, identity score, risk score). This score is likely unique for each platform based on marketplace platform’s risk platform capabilities.
string
Format: ISO 8601 date format; example: 2012-12-09T 19:14:55.277-0:00Date of the first interaction between the sender and receiver on the marketplace platform. Definition of ‘interaction’ is to be defined by the marketplace platform. Examples are: first transaction attempt between sender and receiver, add friend date between sender and receiver, etc.
string
Format: Integer; example: 34Total number of transactions the sender/buyer has had to date on the marketplace platform (through PayPal or otherwise).
string
Format: Alphanumeric; examples: household goods, shoes, clothing, tickets, etc.Transaction level vertical flag for the seller/receiver’s transactions that are in several verticals.
string
Possible values: 0, 1; example: 0The seller/receiver’s transaction is for tangible rather than digital goods. If tangible, value = 1. If intangible, value = 0.

Responses

200 - Response parameters

string
The unique identifier of the Data Collection object containing the data sent in the request, which must be added to the PayPal pay-in.A new DataCollectionId is needed for each call to POST Create a PayPal PayIn, POST Create a Recurring PayPal PayIn (CIT), POST Create a Recurring PayPal PayIn (MIT), and POST Create a PayPal Deposit Preauthorization.